const mysql = require('mysql');
const connection = mysql.createConnection({
    host: 'localhost', // 连接的数据库服务器
    port: '3306', // 端口号
    user: 'root', // 用户名
    password: 'root', // 密码
    database: '2001C' // 数据库名
})
connection.connect(function (err) {
    if (err) {
        console.error('连接失败');
        return;
    }

    console.log('连接成功');
});
const query = (sql) => {
    return new Promise((resolve, reject) => {
        connection.query(sql, function (error, results) {
            if(error){
                reject(error)
            }else{
                resolve(results)
            }
        });
    })
}
module.exports=query