const userService =require('../service/user')
const jwt = require('jsonwebtoken');
const getList=async (ctx,next)=>{
    let res=await userService.getList(ctx.query)
    // console.log(res);
    ctx.body={
        code:200,
        msg:"获取数据",
        data:res
    }
}
const login=async (ctx,next)=>{
    let res=await userService.login(ctx.request.body)
    // console.log(res);
    if(res.length){
       const token = jwt.sign({ username: res[0].username }, 'shhhhh');
       ctx.session.token=token
       ctx.body={
            code:200,
            msg:"登录成功",
            data:token
        } 
    }else{
        ctx.body={
            code:400,
            msg:"登录失败"
        } 
    }
    
}
module.exports={getList,login}